# affine_combo< T, K > Struct Template Reference

`#include <_curve_func.h>`

List of all members.

## Public Member Functions

T | operator() (const T &a, const T &b, const K &t) const
T | reverse (const T &x, const T &b, const K &t) const

## Detailed Description

### template<class T, class K = float>
struct affine_combo< T, K >

======================================================================== Extended Template and Library Utility Curve Template Class Implementations $Id$

Copyright (c) 2002 Robert B. Quattlebaum Jr.

This package is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This package is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

=== N O T E S ===========================================================

This is an internal header file, included by other ETL headers. You should not attempt to use it directly.

=========================================================================

Definition at line 37 of file _curve_func.h.

## Member Function Documentation

template<class T, class K = float>

T affine_combo< T, K >::operator() | ( | const T & | a,
|  | const T & | b,
|  | const K & | t |
| ) |  |  | const`[inline]`

Definition at line 40 of file _curve_func.h.

template<class T, class K = float>

T affine_combo< T, K >::reverse | ( | const T & | x,
|  | const T & | b,
|  | const K & | t |
| ) |  |  | const`[inline]`

Definition at line 46 of file _curve_func.h.

The documentation for this struct was generated from the following file:

- _curve_func.h